#[derive(Debug, Copy, Clone)]
pub enum ExitClass {
    /// Headlines and sections.
    Document = 1,

    /// Elements who take priority over beta elements when matching.
    Alpha = 20,

    /// Elements who cede priority to alpha elements when matching.
    Beta = 300,
}

impl std::fmt::Display for ExitClass {
    fn fmt(&self, f: &mut std::fmt::Formatter) -> std::fmt::Result {
        write!(f, "{:?}", self)
    }
}
